import { OnInit, EventEmitter, AfterViewInit } from '@angular/core';
import { FormControl } from '@angular/forms';
export declare class StepperComponent implements OnInit, AfterViewInit {
    /** @prop Set the properties of the steps in the stepper | null */
    steps: {
        title: string;
        fields?: FormControl[];
        disabled?: boolean;
    }[];
    /** @prop Set the step number when it is changed by clicking next button in the Wizard | 0 */
    private stepNumber;
    /** @prop Handler to be called when the step is changed by clicking on a step in the Stepper | null */
    stepChange: EventEmitter<number>;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private drawLines;
    onClick(index: number): void;
    private isComplete;
    private hasErrors;
    getClasses(index: any, step: any): object;
}
